Bug 190536 - Eclipse-CDT runs out of memory when c++ indexer in use
Eclipse-CDT runs out of memory when c++ indexer in use
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 08:33 EDT by Ville Ranki
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 17:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Ranki 2006-05-03 08:33:54 EDT
Description of problem:
Eclipse-CDT runs out of memory and causes Eclipse
to exit if using c++ indexer. 

Version-Release number of selected component (if applicable):
Version: 3.1.2
Build id: M20060118-1600 (Fedora Core release 4.92 (Pre-FC5))
CDT 3.0.2

How reproducible:
Open a moderate sized c++ project and enable indexer.
If eclipse doesn't yet run out of memory do some work 
(ie. make changes and compile)
  
Actual results:
Internal error dialog,
An out of memory error has occurred. You
can prevent these errors by increasing your
heap size...
Eclipse recommends to exit the workbench.

Additional info:
If there is no memory eating bug in Eclipse there
should be either good instructions how to increase
heap size or even better, a option to configure it
somewhere.
I haven't figured out where the recommended memory 
options can be set - fedora eclipse is a binary file, not
a shell script. 

Eclipse-CDT on Ubuntu has never run out of memory
with the same project.
Comment 1 Andrew Overholt 2006-07-13 11:17:33 EDT
(In reply to comment #0)
> Description of problem:
> Eclipse-CDT runs out of memory and causes Eclipse
> to exit if using c++ indexer. 
> 
> Version-Release number of selected component (if applicable):
> Version: 3.1.2
> Build id: M20060118-1600 (Fedora Core release 4.92 (Pre-FC5))
> CDT 3.0.2

Are you able to reproduce with what is currently in rawhide (Eclipse SDK 3.2 and
CDT 3.1)?
Comment 2 Ville Ranki 2006-07-18 08:38:30 EDT
I'm unable to upgrade Eclipse because of these errors.
Any idea what might cause it? I didn't find answers in Google.

error: Failed dependencies:
        rtld(GNU_HASH) is needed by tomcat5-5.5.17-3jpp_3fc.i386
        rtld(GNU_HASH) is needed by tomcat5-common-lib-5.5.17-3jpp_3fc.i386
        rtld(GNU_HASH) is needed by tomcat5-jasper-5.5.17-3jpp_3fc.i386
        rtld(GNU_HASH) is needed by tomcat5-jsp-2.0-api-5.5.17-3jpp_3fc.i386
        rtld(GNU_HASH) is needed by tomcat5-server-lib-5.5.17-3jpp_3fc.i386
        rtld(GNU_HASH) is needed by tomcat5-servlet-2.4-api-5.5.17-3jpp_3fc.i386

Comment 3 Andrew Overholt 2006-08-02 13:08:25 EDT
> error: Failed dependencies:
>        rtld(GNU_HASH) is needed by tomcat5-5.5.17-3jpp_3fc.i386

I think was probably caused by the major churn due to the Classpath -> libgcj
backport.  Are you still getting these errors?
Comment 4 Ville Ranki 2006-10-04 08:01:19 EDT
Sorry, but i don't have the FC5 computer anymore. Its 
hard disk crashed.
Comment 5 Jeff Johnston 2006-10-05 17:33:42 EDT
I am closing this as insufficient information.  The CDT has been rebased on FC6
to 3.1.1 which contains many bug-fixes and libgcj has also been updated. 
Without a specific test scenario, there isn't much to go on.  If you find the
same problem with the updated FC6 eclipse-cdt, then please open a new bug.  

Note You need to log in before you can comment on or make changes to this bug.